# ServiceUnavailableException (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class ServiceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.ServiceUnavailableException

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceUnavailableException

extends ServiceException

Thrown when an exception occurs that is temporary; i.e., the user should try again. This includes failing backends, rate limiting, and so on. Set the retryTime in seconds to tell the client when to retry.

See Also:
  Serialized Form

Constructor Summary
`ServiceUnavailableException(ErrorDomain.ErrorCode errorCode)`
`ServiceUnavailableException(ErrorDomain.ErrorCode errorCode, java.lang.Throwable cause)`
`ServiceUnavailableException(java.net.HttpURLConnection httpConn)`
`ServiceUnavailableException(java.lang.String message)`
`ServiceUnavailableException(java.lang.String message, java.lang.Throwable cause)`
`ServiceUnavailableException(java.lang.Throwable cause)`

Method Summary
`int` `getRetryTime()`
`void` `setRetryTime(int retryTime)`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUnavailableException

    public ServiceUnavailableException(java.lang.String message)

### ServiceUnavailableException

    public ServiceUnavailableException(java.lang.String message,
                                       java.lang.Throwable cause)

### ServiceUnavailableException

    public ServiceUnavailableException(java.lang.Throwable cause)

### ServiceUnavailableException

    public ServiceUnavailableException(java.net.HttpURLConnection httpConn)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

### ServiceUnavailableException

    public ServiceUnavailableException(ErrorDomain.ErrorCode errorCode)

### ServiceUnavailableException

    public ServiceUnavailableException(ErrorDomain.ErrorCode errorCode,
                                       java.lang.Throwable cause)

Method Detail

### getRetryTime

    public int getRetryTime()

### setRetryTime

    public void setRetryTime(int retryTime)